"""
Module contains luna3 clients adapted for usage in lambda
"""
from dataclasses import dataclass

from .events import Events
from .faces import Faces
from .lis import LIS
from .lpm import LPM
from .lrs import LRS
from .sender import Sender


@dataclass
class Clients:
    """Luna services clients"""

    faces: Faces
    events: Events
    matcher: LPM
    faceSamplesStore: LIS
    bodySamplesStore: LIS
    imageOriginStore: LIS
    sdk: LRS
    sender: Sender
